Bug 584983 - certmonger should assume the IPA CA type when tracking an existing certificate
certmonger should assume the IPA CA type when tracking an existing certificate
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: certmonger (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-22 16:17 EDT by Rob Crittenden
Modified: 2010-12-03 10:34 EST (History)
1 user (show)

See Also:
Fixed In Version: certmonger-0.21-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 10:34:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rob Crittenden 2010-04-22 16:17:02 EDT
Description of problem:

I have an existing SSL server certificate for mod_nss and I'd like certmonger to manage it for me. This certificate was generated by an IPA server.

So I start the tracking:

# ipa-getcert start-tracking -n Server-Cert -d /etc/httpd/alias
New tracking request "20100422200339" added.

But it doesn't show up in my list

# ipa-getcert list
<nothing>

It does show up in plain old getcert

# getcert list
Request ID '20100422200339':
        status: MONITORING
        stuck: no
        key pair storage: type=NSSDB,location='/etc/httpd/alias',nickname=Server-Cert
        certificate: type=NSSDB,location='/etc/httpd/alias',nickname=Server-Cert
        issuer: CN=Certificate Authority,O=IPA
        subject: CN=lion.example.com,O=IPA
        expires: 20101019155216
        eku: id-kp-serverAuth
        track: yes
        auto-renew: yes

This is apparently because the CA type isn't set to IPA. I think start-tracking should force the CA type to IPA.

Version-Release number of selected component (if applicable):

certmonger-0.18-1.fc12.x86_64
Comment 1 Nalin Dahyabhai 2010-04-22 16:47:45 EDT
Agreed.  Targeting for 0.21.
Comment 2 Fedora Update System 2010-05-04 15:08:38 EDT
certmonger-0.21-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/certmonger-0.21-1.fc13
Comment 3 Fedora Update System 2010-05-04 15:09:12 EDT
certmonger-0.21-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/certmonger-0.21-1.fc12
Comment 4 Fedora Update System 2010-05-04 15:09:43 EDT
certmonger-0.21-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/certmonger-0.21-1.fc11
Comment 5 Fedora Update System 2010-05-05 03:21:14 EDT
certmonger-0.21-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update certmonger'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/certmonger-0.21-1.fc13
Comment 6 Fedora Update System 2010-05-05 23:38:14 EDT
certmonger-0.21-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update certmonger'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/certmonger-0.21-1.fc12
Comment 7 Fedora Update System 2010-05-05 23:38:22 EDT
certmonger-0.21-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update certmonger'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/certmonger-0.21-1.fc11
Comment 8 Fedora Update System 2010-05-15 16:24:21 EDT
certmonger-0.22-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update certmonger'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/certmonger-0.22-1.fc11
Comment 9 Fedora Update System 2010-05-15 16:44:38 EDT
certmonger-0.22-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update certmonger'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/certmonger-0.22-1.fc13
Comment 10 Fedora Update System 2010-05-15 16:46:22 EDT
certmonger-0.22-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update certmonger'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/certmonger-0.22-1.fc12
Comment 11 Fedora Update System 2010-06-03 14:04:28 EDT
certmonger-0.23-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2010-06-03 14:08:04 EDT
certmonger-0.23-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2010-06-03 14:13:39 EDT
certmonger-0.23-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Bug Zapper 2010-11-03 12:32:51 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2010-12-03 10:34:09 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.